edelib 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SevenSeg Class Reference
FLTK widgets and functions

Digital number widget. More...

`#include <edelib/SevenSeg.h>`

Inheritance diagram for SevenSeg:

## Public Member Functions
| SevenSeg (int X, int Y, int W, int H)
| ~SevenSeg ()
void | value (int v)
void | value (char c)
int | value (void)
void | bar_width (int w)
int | bar_width (void)

## Detailed Description

Digital number widget.

SevenSeg is widget for displaying s7 digital numbers.

Setting and retrieving a number is accomplished via value() methods. It accepts 0-9 range of integers or '0'-'9' range of characters. Any number above or below will be ignored, defaulting to it's bounds.

## Constructor & Destructor Documentation

SevenSeg | ( | int | X,
|  | int | Y,
|  | int | W,
|  | int | H
| ) |  |

Constructor

~SevenSeg | ( |  | ) |

Empty destructor

## Member Function Documentation

void bar_width | ( | int | w | ) |

Set width of bars. Range is 2-12. Below or above will be ignored, replacing with given bounds.

int bar_width | ( | void |  | ) |
| inline

Get current width of bars.

void value | ( | int | v | ) |

Set number to be displayed. Range is 0-9.

void value | ( | char | c | ) |

Set character to be displayed. Range is '0'-'9'.

int value | ( | void |  | ) |
| inline

Get current displayed number.

The documentation for this class was generated from the following file:

- edelib/SevenSeg.h